RINPUTD(8)

NAME
rinputd - Remote Input Server Daemon

SYNOPSIS
rinputd [ --realm realm ] [ --cert cert ] [ --key key ] [ --port port ] [ --no-broadcast ] [ --verbose | --quiet ]

DESCRIPTION
rinputd is a server daemon which listens for remote input clients. Clients connect over a secure SSL socket and authenticate with the server through the Cyrus SASL password database /etc/sasldb2. The client may then initialize an input device through the uinput user input event interface. After initialization, the client may send input events such as key presses or mouse movements.

  Options

-r, --realm realm
    SASL realm to authenticate against. Defaults to rinput.

-c, --cert cert
    SSL certificate file for the secure connection. Defaults to /etc/rinput/rinput.crt.

-k, --key key
    SSL private key file for the secure connection. Defaults to /etc/rinput/rinput.key.

-p, --port port
    Port to listen for clients on. Set to 0 to listen on any available port. Defaults to 8771.

-n, --no-broadcast
    Don't broadcast rinputd service on local network through multicast DNS. This option is only available in Mac OS X or if compiled with Avahi support.

-q, --quiet
    Limit output to rinputd internal errors.

-v, --verbose
    Print out debugging information. Not useful for general purposes.

-f, --foreground
    Do not fork to become a daemon, remain in the foreground.

FILES

/dev/input/uinput
    User input device on Linux

/etc/rinput/rinput.crt
    Default certificate file for the secure connection.

/etc/rinput/rinput.key
    Default private key file for the secure connection.

SEE ALSO
evdev(4) on Linux